## plasma-discover 5.6.2

=== CMakeLists.txt ===
project(discover)
set(PROJECT_VERSION "5.6.2")
set(PROJECT_VERSION_MAJOR 5)

cmake_minimum_required(VERSION 2.8.12)

option(INSTALL_EXPORTER "Install plasma-discover-exporter [development utility]" OFF)

find_package(ECM REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} "${CMAKE_SOURCE_DIR}/cmake")

find_package(Qt5 5.2.0 REQUIRED CONFIG COMPONENTS Widgets Test Network Xml Concurrent DBus Quick)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(GenerateExportHeader)

find_package(KF5 REQUIRED CoreAddons Config DBusAddons I18n Declarative)
find_package(KF5TextWidgets REQUIRED)

find_package(packagekitqt5)
if (NOT packagekitqt5_FOUND)
    find_package(QApt 3.0.0)
    if(QApt_FOUND)
        find_package(DebconfKDE 1.0.0 REQUIRED)
        find_package(KF5 REQUIRED Archive IconThemes Notifications KIO)
    endif()
endif()
find_package(AppstreamQt 0.9.2)
find_package(KF5Attica)
find_package(KF5NewStuff)
# find_package(BODEGA QUIET)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

configure_file(DiscoverVersion.h.in DiscoverVersion.h)

add_subdirectory(libdiscover)
add_subdirectory(updater)
add_subdirectory(discover)
add_subdirectory(exporter)

option(WITH_NOTIFIER "Build and install the notifier plasmoid" ON)
if(WITH_NOTIFIER)
    find_package(KF5 REQUIRED Notifications KIO)
    add_subdirectory(notifier)
endif()

set_package_properties(QApt PROPERTIES
    DESCRIPTION "Qt wrapper around the libapt-pkg library"
    PURPOSE "Used to support apt-based distribution systems"
    TYPE OPTIONAL)

set_package_properties(KF5Attica PROPERTIES
    DESCRIPTION "KDE Framework that implements the Open Collaboration Services API"
    PURPOSE "Required to build the KNewStuff3 backend"
    TYPE OPTIONAL)
set_package_properties(KF5NewStuff PROPERTIES
    DESCRIPTION "Qt library that allows to interact with KNewStuff implementations"
    PURPOSE "Required to build the KNS backend"
    TYPE OPTIONAL)
set_package_properties(Bodega PROPERTIES
    DESCRIPTION "Library that exposes Bodega resources"
    PURPOSE "Required to build the Bodega backend"
    TYPE OPTIONAL)
set_package_properties(AkabeiClient PROPERTIES
    DESCRIPTION "Library that exposes Akabei resources"
    PURPOSE "Required to build the Akabei backend (Supports Chakra distribution)"
    TYPE OPTIONAL)
set_package_properties(packagekitqt5 PROPERTIES
    DESCRIPTION "Library that exposes PackageKit resources"
    URL "http://www.packagekit.org"
    PURPOSE "Required to build the PackageKit backend"
    TYPE OPTIONAL)
set_package_properties(AppstreamQt PROPERTIES
    DESCRIPTION "Library that lists Appstream resources"
    URL "http://www.freedesktop.org"
    PURPOSE "Required to build the PackageKit backend"
    TYPE OPTIONAL)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== discover/CMakeLists.txt ===
add_subdirectory(icons)
add_subdirectory(autotests)

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}/..)

set(plasma_discover_SRCS
    main.cpp
    MuonDiscoverMainWindow.cpp

    PaginateModel.cpp
    SystemFonts.cpp
    IconColors.cpp
)

qt5_add_resources(plasma_discover_SRCS resources.qrc)

add_executable(plasma-discover ${plasma_discover_SRCS})
add_executable(Plasma::Discover ALIAS plasma-discover)
set_target_properties(plasma-discover PROPERTIES INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR}/plasma-discover)

target_link_libraries(plasma-discover LINK_PUBLIC
                                     KF5::DBusAddons
                                     KF5::I18n
                                     KF5::XmlGui
                                     KF5::Declarative
                                     Qt5::Quick
                                     Discover::Common
)

install(TARGETS plasma-discover ${INSTALL_TARGETS_DEFAULT_ARGS} )

install(PROGRAMS org.kde.discover.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install(FILES featured.json DESTINATION ${DATA_INSTALL_DIR}/plasmadiscover)
install(FILES plasmadiscoverui.rc  DESTINATION  ${KXMLGUI_INSTALL_DIR}/plasmadiscover)

=== exporter/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})

add_executable(plasma-discover-exporter main.cpp MuonExporter.cpp)
set_target_properties(plasma-discover-exporter PROPERTIES INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR}/plasma-discover)

target_link_libraries(plasma-discover-exporter Discover::Common KF5::CoreAddons KF5::I18n)

if(MUON_INSTALL_EXPORTER)
    install(TARGETS plasma-discover-exporter ${INSTALL_TARGETS_DEFAULT_ARGS})
endif()

=== updater/CMakeLists.txt ===
include_directories(../libdiscover)

set(plasmadiscover_updater_SRCS
    main.cpp
    MainWindow.cpp
    ChangelogWidget.cpp
    ProgressWidget.cpp
    UpdaterWidget.cpp
    KActionMessageWidget.cpp
    UIHelper.cpp
    UpdateDelegate.cpp
)

ki18n_wrap_ui(plasmadiscover_updater_SRCS ProgressWidget.ui
                                    UpdaterCentralWidget.ui
                                    UpdaterWidgetNoUpdates.ui
)

add_executable(plasma-discover-updater ${plasmadiscover_updater_SRCS})
set_target_properties(plasma-discover-updater PROPERTIES INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR}/plasma-discover)

target_link_libraries(plasma-discover-updater KF5::CoreAddons
                                   KF5::I18n
                                   KF5::DBusAddons
                                   KF5::XmlGui
                                   Discover::Common)

if (ENABLE_QZEITGEIST)
    target_link_libraries(plasma-discover-updater ${QZEITGEIST_LIBRARY})
endif ()

install(TARGETS plasma-discover-updater ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

install( FILES plasmadiscoverupdaterui.rc  DESTINATION  ${KXMLGUI_INSTALL_DIR}/plasmadiscoverupdater )
install( PROGRAMS plasma-discover-updater.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR} )

=== discover/autotests/CMakeLists.txt ===
add_executable(IconColorsTest IconColorsTest.cpp ../IconColors.cpp)
target_link_libraries(IconColorsTest Qt5::Test Qt5::Gui)

if(BUILD_DummyBackend)
    add_test(NAME toplevels COMMAND Plasma::Discover --test "${CMAKE_CURRENT_SOURCE_DIR}/toplevels.qml")
endif()

=== libdiscover/backends/CMakeLists.txt ===
function(add_unit_test name)
    add_executable(${name} ${CMAKE_SOURCE_DIR}/libdiscover/backends/ApplicationBackend/tests/modeltest.cpp ${ARGN})
    add_test(${name} ${name})
    ecm_mark_as_test(${name})
    target_link_libraries(${name}
        Discover::Common

        Qt5::Test Qt5::Core ${EXTRA_LIBS})
endfunction()

if(AKABEICLIENT_FOUND)
    add_subdirectory(AkabeiBackend)#TODO: Add checks
endif()

if(KF5Attica_FOUND AND KF5NewStuff_FOUND)
    add_subdirectory(KNSBackend)
endif()

if(QApt_FOUND)
    add_subdirectory(ApplicationBackend)
endif()

if(BODEGA_FOUND)
    add_subdirectory(BodegaBackend)
endif()

if(packagekitqt5_FOUND AND AppstreamQt_FOUND)
    add_subdirectory(PackageKitBackend)
endif()

option(BUILD_DummyBackend "Build the DummyBackend" "OFF")
if(BUILD_DummyBackend)
    add_subdirectory(DummyBackend)
endif()

=== libdiscover/backends/AkabeiBackend/CMakeLists.txt ===
include_directories(
${AKABEICORE_INCLUDE_DIR}
${AKABEICLIENT_INCLUDE_DIR}
)

set(akabeibackend_SRCS
    AppstreamUtils.cpp
    AppAkabeiResource.cpp
    AkabeiUpdater.cpp 
    AkabeiQuestion.cpp
    AkabeiBackend.cpp
    AkabeiResource.cpp
    AkabeiTransaction.cpp
)

add_library(akabei-backend ${akabeibackend_SRCS})
target_link_libraries(akabei-backend ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${qjson_LIBRARIES} ${AKABEICLIENT_LIBRARIES} ${AKABEICORE_LIBRARIES} Discover::Common)
install(TARGETS akabei-backend DESTINATION ${PLUGIN_INSTALL_DIR}/discover)
install(FILES akabei-backend.desktop DESTINATION ${DATA_INSTALL_DIR}/libdiscover/backends)
install(FILES akabei-backend-categories.xml DESTINATION ${DATA_INSTALL_DIR}/libdiscover/categories)

set(akabeinotifier_SRCS
    AkabeiNotifier.cpp
)

add_library(kded_muonakabeinotifier MODULE ${akabeinotifier_SRCS})

target_link_libraries(kded_muonakabeinotifier ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${AKABEICLIENT_LIBRARIES} ${AKABEICORE_LIBRARIES} Discover::Common)

install(TARGETS kded_muonakabeinotifier DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES muonakabeinotifier.desktop  DESTINATION  ${SERVICES_INSTALL_DIR}/kded)

=== libdiscover/backends/ApplicationBackend/CMakeLists.txt ===
# we will have our own fork of the library now, because they haven't still made their mind out of Qt5
# find_package(QtOAuth REQUIRED)
add_subdirectory(qoauth)
add_subdirectory(libmuonapt)

include_directories(.)

add_subdirectory(tests)

set(appsbackend_SRCS
    ApplicationBackend.cpp
    Application.cpp
    ApplicationUpdates.cpp
    ReviewsBackend.cpp #TODO: rename to AptReviewsBackend
    UbuntuLoginBackend.cpp
    AptSourcesBackend.cpp
)

qt5_add_dbus_interface(appsbackend_SRCS ubuntu_sso_dbus_interface.xml ubuntu_sso OPTIONS -i "LoginMetaTypes.h")

add_library(qapt-backend MODULE ${appsbackend_SRCS})
target_link_libraries(qapt-backend Qt5::Widgets Qt5::DBus Qt5::Concurrent
     KF5::Archive KF5::KIOWidgets KF5::XmlGui DebconfKDE::Main KF5::IconThemes AppstreamQt
     Muon::QOAuth QApt::Main Discover::Common MuonApt
)
target_include_directories(qapt-backend PRIVATE /usr/include/Qca-qt5/QtCrypto)

install(TARGETS qapt-backend DESTINATION ${PLUGIN_INSTALL_DIR}/discover)
install(FILES qapt-backend.desktop DESTINATION ${DATA_INSTALL_DIR}/libdiscover/backends)
install(FILES qapt-backend-categories.xml DESTINATION ${DATA_INSTALL_DIR}/libdiscover/categories)
install(FILES distupgradeevent/releasechecker DESTINATION ${DATA_INSTALL_DIR}/libdiscover/applicationsbackend/
    PERMISSIONS
        OWNER_EXECUTE OWNER_READ OWNER_WRITE
        GROUP_EXECUTE GROUP_READ
        WORLD_EXECUTE WORLD_READ
)

foreach(testing IN ITEMS ON OFF)
    set(name MuonApplicationNotifier)
    set(type MODULE)
    if(${testing})
        set(name MuonApplicationNotifierTestLib)
        set(type STATIC)
    endif()
    add_library(${name} ${type} ApplicationNotifier.cpp)
    target_compile_definitions(${name} PRIVATE -DCMAKE_INSTALL_FULL_LIBEXECDIR_KF5=\"${CMAKE_INSTALL_FULL_LIBEXECDIR_KF5}\")
    target_link_libraries(${name} KF5::CoreAddons KF5::I18n KF5::Notifications KF5::IconThemes Discover::Notifiers)
endforeach()

install(TARGETS MuonApplicationNotifier DESTINATION ${PLUGIN_INSTALL_DIR}/discover-notifier)
install(FILES muonapplicationnotifier.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})

=== libdiscover/backends/BodegaBackend/CMakeLists.txt ===
set(bodegabackend_SRCS
    BodegaBackend.cpp
    BodegaResource.cpp
)

add_library(muon-bodegabackend MODULE ${bodegabackend_SRCS})
target_link_libraries(muon-bodegabackend Discover::Common Qt5::Core  ${KDE4_KDEUI_LIBS} ${BODEGA_LIBRARIES})

install(TARGETS muon-bodegabackend DESTINATION ${PLUGIN_INSTALL_DIR}/discover)
install(FILES muon-bodegawallpapers-backend.desktop DESTINATION ${DATA_INSTALL_DIR}/libmuon/backends)

install(FILES muon-bodegawallpapers-backend-categories.xml DESTINATION ${DATA_INSTALL_DIR}/libmuon/categories)

=== libdiscover/backends/PackageKitBackend/CMakeLists.txt ===
find_package(KF5KIO REQUIRED)
find_package(KF5Archive REQUIRED)

set(pkbackend_SRCS
    PackageKitBackend.cpp
    PackageKitResource.cpp
    AppPackageKitResource.cpp
    PKTransaction.cpp
    PackageKitUpdater.cpp
    PackageKitMessages.cpp
    AppstreamReviews.cpp
)

add_library(packagekit-backend MODULE ${pkbackend_SRCS})
target_link_libraries(packagekit-backend PRIVATE Discover::Common Qt5::Core PK::packagekitqt5 KF5::ConfigGui KF5::Service KF5::KIOWidgets KF5::Archive AppstreamQt)

install(TARGETS packagekit-backend DESTINATION ${PLUGIN_INSTALL_DIR}/discover)
install(FILES packagekit-backend.desktop DESTINATION ${DATA_INSTALL_DIR}/libdiscover/backends)
install(FILES packagekit-backend-categories.xml DESTINATION ${DATA_INSTALL_DIR}/libdiscover/categories)

#notifier
add_library(DiscoverPackageKitNotifier MODULE PackageKitNotifier.cpp)
target_link_libraries(DiscoverPackageKitNotifier PRIVATE PK::packagekitqt5 Discover::Notifiers)
set_target_properties(DiscoverPackageKitNotifier PROPERTIES INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR}/plasma-discover)

install(TARGETS DiscoverPackageKitNotifier DESTINATION ${PLUGIN_INSTALL_DIR}/discover-notifier)

=== libdiscover/backends/DummyBackend/tests/CMakeLists.txt ===
include_directories(.. ../../ApplicationBackend/tests)

add_unit_test(dummytest DummyTest.cpp)
add_unit_test(updatedummytest UpdateDummyTest.cpp)

=== libdiscover/backends/KNSBackend/tests/CMakeLists.txt ===
include_directories(..)

add_executable(knsbackendtest KNSBackendTest.cpp)
add_test(knsbackendtest knsbackendtest)
ecm_mark_as_test(knsbackendtest)
target_link_libraries(knsbackendtest
    Discover::Common
    
    Qt5::Test Qt5::Core
    KF5::NewStuff KF5::Attica
)

=== debian/changelog ===
plasma-discover (5.6.2-1ubuntu1.1) xenial; urgency=medium

  * Adding a depends on ubuntu-release-upgrader-qt
    Closes (LP: #1633692)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 17 Oct 2016 20:35:26 +0100

plasma-discover (5.6.2-1ubuntu1) xenial; urgency=medium

  * Merge with Debian unstable, remaining change:
    - Add Breaks/Replaces for libdiscovercommon on plasma-discover-private
    - Make plasma-discover-common break the plasma-discover(-updater) << 5.6
    - components-without-pkgname.patch: Prevent crash when encountering
      software without a package as installation candidate.

 -- Matthias Klumpp <mak@debian.org>  Fri, 15 Apr 2016 19:04:38 +0200

plasma-discover (5.6.2-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * New upstream bugfix release: 5.6.2
  * Improve package descriptions
  * Use secure URLs for Vcs-* fields

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)

 -- Matthias Klumpp <mak@debian.org>  Thu, 14 Apr 2016 16:22:20 +0200

plasma-discover (5.6.0-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * Upload to unstable
  * New upstream release: 5.6.0
  * Add gbp.conf
  * Drop all patches: Applied upstream

  [ Maximiliano Curia ]
  * uscan no longer supports this kind of watch files.

 -- Matthias Klumpp <mak@debian.org>  Wed, 23 Mar 2016 18:06:56 +0100

plasma-discover (5.5.95-1) experimental; urgency=medium

  [ Jonathan Riddell ]
  * Initial package split upstream from Muon.

  [ Matthias Klumpp ]
  * Rename the packages to plasma-discover-*,
    add transitional packages for the old muon-* packages.
  * Merge update notifier into updater package.
  * Update dependencies to upstream's current requirements.
  * Drop some cruft postinst calls and runtime dependencies.
  * libdiscover-private.patch: Make libdiscover a private lib
  * Update debian/watch
  * Update Vcs-* URLs
  * Update debian/copyright

 -- Matthias Klumpp <mak@debian.org>  Sat, 12 Mar 2016 16:45:56 +0100

=== debian/control ===
Source: plasma-discover
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Matthias Klumpp <mak@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.16.0~),
               kio-dev (>= 5.16.0~),
               libappstreamqt-dev (>= 0.9),
               libdebconf-kde-dev (>= 1.0.0),
               libkf5attica-dev (>= 5.16.0~),
               libkf5config-dev (>= 5.16.0~),
               libkf5configwidgets-dev (>= 5.16.0~),
               libkf5coreaddons-dev (>= 5.16.0~),
               libkf5dbusaddons-dev (>= 5.16.0~),
               libkf5declarative-dev (>= 5.16.0~),
               libkf5i18n-dev (>= 5.16.0~),
               libkf5iconthemes-dev (>= 5.16.0~),
               libkf5itemviews-dev (>= 5.16.0~),
               libkf5kdelibs4support-dev (>= 5.16.0~),
               libkf5newstuff-dev (>= 5.16.0~),
               libkf5notifications-dev (>= 5.16.0~),
               libkf5solid-dev (>= 5.16.0~),
               libkf5wallet-dev (>= 5.16.0~),
               libkf5widgetsaddons-dev (>= 5.16.0~),
               libqapt-dev (>= 3.0.0),
               libqca-qt5-2-dev,
               libqt5svg5-dev (>= 5.4.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               plasma-framework-dev (>= 5.16.0~),
               qtbase5-dev (>= 5.4.0~),
               qtdeclarative5-dev (>= 5.4.0~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/workspace/discover
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/plasma/plasma-discover.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/plasma-discover.git

Package: plasma-discover
Architecture: any
Depends: appstream,
         libqapt3-runtime,
         plasma-discover-common (= ${source:Version}),
         plasma-discover-private (= ${binary:Version}),
         ubuntu-release-upgrader-qt,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: muon-discover (<< 4:5.5.3a)
Replaces: muon-discover (<< 4:5.5.3a)
Recommends: software-properties-kde
Suggests: plasma-discover-updater
Description: Utility for browsing, installing, and removing applications
 Plasma Discover will help you browse through the huge applications library you
 have available and help you find the applications you're looking for.
 .
 To install or remove software using Discover, you need administrator
 access on the computer.

Package: plasma-discover-updater
Architecture: any
Depends: libqapt3-runtime,
         plasma-discover-private (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: plasma-discover-notifier
Breaks: muon-notifier (<< 4:5.5.3a),
        muon-updater (<< 4:5.5.3a)
Replaces: muon-notifier (<< 4:5.5.3a),
          muon-updater (<< 4:5.5.3a)
Description: Update manager for KDE
 Plasma Discover Updater is a graphical update manager for KDE. It is part of
 the Discover family of software and provides an interface similar to that of
 Discover.

Package: plasma-discover-private
Architecture: any
Depends: policykit-1,
         python3,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libdiscovercommon (<< 5.6),
        libmuon (<< 4:5.5.3a)
Replaces: libdiscovercommon (<< 5.6),
          libmuon (<< 4:5.5.3a)
Description: Private runtime libraries for the Discover suite
 The Discover suite is a collection of software management applications
 built on the KDE platform.
 .
 This package contains private runtime libraries

Package: plasma-discover-common
Architecture: all
Depends: ${misc:Depends}
Breaks: muon-common (<< 4:5.5.3a),
        plasma-discover (<< 5.6),
        plasma-discover-updater (<< 5.6)
Replaces: muon-common (<< 4:5.5.3a),
          plasma-discover (<< 5.6),
          plasma-discover-updater (<< 5.6)
Description: Discover software manager suite (common data files)
 Discover is a graphical software manager for the Plasma workspace.
 .
 This package contains data files shared by various parts of the
 Discover suite.

Package: muon-discover
Architecture: all
Section: oldlibs
Priority: extra
Depends: plasma-discover,
         ${misc:Depends}
Description: Transitional package (muon-discover -> plasma-discover)
 This is a transitional package for plasma-discover and can safely be
 removed.

Package: muon-updater
Architecture: all
Section: oldlibs
Priority: extra
Depends: plasma-discover-updater,
         ${misc:Depends}
Description: Transitional package (muon-updater -> plasma-discover-updater)
 This is a transitional package updating muon-updater to plasma-discover-updater
 and can safely be removed.

Package: muon-notifier
Architecture: all
Section: oldlibs
Priority: extra
Depends: plasma-discover-updater,
         ${misc:Depends}
Description: Transitional package (muon-notifier -> plasma-discover-updater)
 This is a transitional package updating muon-notifier to
 plasma-discover-updater and can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_VERSION_UPSTREAM_REVISION := $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }' | sed -e 's/^[0-9]*://')

# Do not pull plugins into the shlibs file, it makes lintian angry.
# This happens because dh_makeshlibs will look for sonames matching
# (.*)-(.*)\.so where it assumes \1 is the library name and \2 is the version.
# This will then assume that libfoo-backend.so has name 'libfoo' and version
# 'backend' which makes for bogus, pointless, silly shlibs entries.
# Couldn't be bothered to report this - sitter, 2015
override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins/discover* -V

override_dh_gencontrol:
	dh_gencontrol -pmuon-discover -- -v4:$(DEB_VERSION_UPSTREAM_REVISION)
	dh_gencontrol -pmuon-updater -- -v4:$(DEB_VERSION_UPSTREAM_REVISION)
	dh_gencontrol -pmuon-notifier -- -v4:$(DEB_VERSION_UPSTREAM_REVISION)
	dh_gencontrol --remaining-packages

# FIXME: tests are broken at time
override_dh_auto_test:
	:

=== debian/watch ===
version=3
http://download.kde.org/stable/plasma/([\d.]+)/discover-([\d.]+)\.tar\.xz

## plasma-discover 5.6.5

=== debian/changelog ===
plasma-discover (5.6.5-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jun 2016 21:44:37 +0200

plasma-discover (5.6.4-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8
  * Drop upstream applied patch: 01_components-without-pkgname.patch

  [ Matthias Klumpp ]
  * Use versioned breaks against libmuon
  * Use PackageKit backend by default
  * Drop unneeded build dependencies
  * only-fetch-needed-pkgs.patch: Only fetch package information that we
    require. This should speed up loading the application.

  [ Maximiliano Curia ]
  * Add missing breaks replaces against libmuon
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Matthias Klumpp <mak@debian.org>  Wed, 11 May 2016 22:02:48 +0200

=== debian/control ===
Source: plasma-discover
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Matthias Klumpp <mak@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.16.0~),
               kio-dev (>= 5.16.0~),
               libappstreamqt-dev (>= 0.9.2~),
               libdebconf-kde-dev (>= 1.0.0),
               libkf5archive-dev,
               libkf5attica-dev (>= 5.16.0~),
               libkf5config-dev (>= 5.16.0~),
               libkf5configwidgets-dev (>= 5.16.0~),
               libkf5coreaddons-dev (>= 5.16.0~),
               libkf5crash-dev,
               libkf5dbusaddons-dev (>= 5.16.0~),
               libkf5declarative-dev (>= 5.16.0~),
               libkf5i18n-dev (>= 5.16.0~),
               libkf5iconthemes-dev (>= 5.16.0~),
               libkf5itemviews-dev (>= 5.16.0~),
               libkf5kdelibs4support-dev (>= 5.16.0~),
               libkf5newstuff-dev (>= 5.16.0~),
               libkf5notifications-dev (>= 5.16.0~),
               libkf5solid-dev (>= 5.16.0~),
               libkf5textwidgets-dev,
               libkf5wallet-dev (>= 5.16.0~),
               libkf5widgetsaddons-dev (>= 5.16.0~),
               libpackagekitqt5-dev (>= 0.9.5),
               libqca-qt5-2-dev,
               libqt5svg5-dev (>= 5.4.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               plasma-framework-dev (>= 5.16.0~),
               qtbase5-dev (>= 5.4.0~),
               qtdeclarative5-dev (>= 5.4.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/discover
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/plasma-discover.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/plasma-discover.git

Package: plasma-discover
Architecture: any
Depends: appstream,
         packagekit,
         plasma-discover-common (= ${source:Version}),
         plasma-discover-private (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: muon-discover (<< 4:5.5.3a)
Replaces: muon-discover (<< 4:5.5.3a)
Recommends: software-properties-kde
Suggests: plasma-discover-updater
Description: Utility for browsing, installing and removing software
 Plasma Discover will help you browse through the huge applications library you
 have available and help you find the applications you're looking for.
 .
 To install or remove software using Discover, you need administrator
 access on the computer.

Package: plasma-discover-updater
Architecture: any
Depends: packagekit,
         plasma-discover-private (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: plasma-discover-notifier
Breaks: libmuon (<< 4:5.6),
        muon-notifier (<< 4:5.5.3a),
        muon-updater (<< 4:5.5.3a)
Replaces: libmuon (<< 4:5.6),
          muon-notifier (<< 4:5.5.3a),
          muon-updater (<< 4:5.5.3a)
Description: Update manager for KDE
 Plasma Discover Updater is a graphical update manager for KDE. It is part of
 the Discover family of software and provides an interface similar to that of
 Discover.

Package: plasma-discover-private
Architecture: any
Depends: policykit-1, ${misc:Depends}, ${shlibs:Depends}
Breaks: libmuon (<< 4:5.6)
Replaces: libmuon (<< 4:5.6)
Description: Private runtime libraries for the Discover suite
 The Discover suite is a collection of software management applications
 built on the KDE platform.
 .
 This package contains private runtime libraries

Package: plasma-discover-common
Architecture: all
Depends: ${misc:Depends}
Breaks: muon-common (<< 4:5.5.3a)
Replaces: muon-common (<< 4:5.5.3a)
Description: Discover software manager suite (common data files)
 Discover is a graphical software manager for the Plasma workspace.
 .
 This package contains data files shared by various parts of the
 Discover suite.

Package: muon-discover
Architecture: all
Section: oldlibs
Priority: extra
Depends: plasma-discover, ${misc:Depends}
Description: Transitional package (muon-discover -> plasma-discover)
 This is a transitional package for plasma-discover and can safely be
 removed.

Package: muon-updater
Architecture: all
Section: oldlibs
Priority: extra
Depends: plasma-discover-updater, ${misc:Depends}
Description: Transitional package (muon-updater -> plasma-discover-updater)
 This is a transitional package updating muon-updater to plasma-discover-updater
 and can safely be removed.

Package: muon-notifier
Architecture: all
Section: oldlibs
Priority: extra
Depends: plasma-discover-updater, ${misc:Depends}
Description: Transitional package (muon-notifier -> plasma-discover-updater)
 This is a transitional package updating muon-notifier to
 plasma-discover-updater and can safely be removed.

## plasma-discover 5.7.1

=== debian/changelog ===
plasma-discover (5.7.1-1) unstable; urgency=medium

  * New upstream bugfix release: 5.7.1

 -- Matthias Klumpp <mak@debian.org>  Fri, 15 Jul 2016 16:42:30 +0200

plasma-discover (5.7.0-3) unstable; urgency=medium

  * Add more Breaks/Replaces (Closes: #830948)

 -- Matthias Klumpp <mak@debian.org>  Thu, 14 Jul 2016 15:00:38 +0200

plasma-discover (5.7.0-2) unstable; urgency=medium

  * Adjust packaging for the 5.7 release
    - Drop plasma-discover-updater, no longer needed
    - Merge plasma-discover-private into main package,
      it is no longer necessary to have this split.
    - Install new files
    - Write better package description
  * Refresh debian/copyright
  * Drop the TODO file, all items have been addressed

 -- Matthias Klumpp <mak@debian.org>  Tue, 12 Jul 2016 15:48:48 +0200

plasma-discover (5.7.0-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * Drop obsolete recommends

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Tue, 12 Jul 2016 14:18:41 +0200

=== debian/control ===
Source: plasma-discover
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Matthias Klumpp <mak@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.16.0~),
               kio-dev (>= 5.16.0~),
               libappstreamqt-dev (>= 0.9.2~),
               libdebconf-kde-dev (>= 1.0.0),
               libkf5archive-dev,
               libkf5attica-dev (>= 5.23~),
               libkf5config-dev (>= 5.16.0~),
               libkf5configwidgets-dev (>= 5.16.0~),
               libkf5coreaddons-dev (>= 5.16.0~),
               libkf5crash-dev,
               libkf5dbusaddons-dev (>= 5.16.0~),
               libkf5declarative-dev (>= 5.16.0~),
               libkf5i18n-dev (>= 5.16.0~),
               libkf5iconthemes-dev (>= 5.16.0~),
               libkf5itemviews-dev (>= 5.16.0~),
               libkf5kdelibs4support-dev (>= 5.16.0~),
               libkf5newstuff-dev (>= 5.23~),
               libkf5notifications-dev (>= 5.16.0~),
               libkf5solid-dev (>= 5.16.0~),
               libkf5textwidgets-dev,
               libkf5wallet-dev (>= 5.16.0~),
               libkf5widgetsaddons-dev (>= 5.16.0~),
               libkf5xmlgui-dev,
               libpackagekitqt5-dev (>= 0.9.5),
               libqca-qt5-2-dev,
               libqt5svg5-dev (>= 5.4.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               plasma-framework-dev (>= 5.16.0~),
               qtbase5-dev (>= 5.4.0~),
               qtdeclarative5-dev (>= 5.4.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/discover
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/plasma-discover.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/plasma-discover.git

Package: plasma-discover
Architecture: any
Depends: appstream (>= 0.8),
         packagekit (>= 1.0),
         plasma-discover-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libmuon (<< 4:5.6),
        muon-discover (<< 4:5.5.3a),
        muon-notifier (<< 4:5.5.3a),
        muon-updater (<< 4:5.5.3a),
        plasma-discover-common (<< 5.7.0),
        plasma-discover-private (<< 5.7.0),
        plasma-discover-updater (<< 5.7.0)
Replaces: libmuon (<< 4:5.6),
          muon-discover (<< 4:5.5.3a),
          muon-notifier (<< 4:5.5.3a),
          muon-updater (<< 4:5.5.3a),
          plasma-discover-common (<< 5.7.0),
          plasma-discover-private (<< 5.7.0),
          plasma-discover-updater (<< 5.7.0)
Recommends: software-properties-kde
Description: Discover software management suite
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 By allowing to navigate a software library by search, categories, top lists
 along with detailed application information that includes screenshots
 and reviews, users can more quickly find applications that suit their needs.
 .
 Discover will also keep the system up to date by notifying about updates and
 installing them.

Package: plasma-discover-common
Architecture: all
Depends: ${misc:Depends}
Breaks: muon-common (<< 4:5.5.3a),
        plasma-discover (<< 5.7.0-2),
        plasma-discover-private (<< 5.7.0),
        plasma-discover-updater (<< 5.7.0)
Replaces: muon-common (<< 4:5.5.3a),
          plasma-discover (<< 5.7.0-2),
          plasma-discover-private (<< 5.7.0),
          plasma-discover-updater (<< 5.7.0)
Description: Discover software manager suite (common data files)
 Discover is a graphical software manager for the Plasma workspace.
 .
 This package contains data files shared by various parts of the
 Discover suite.

Package: muon-discover
Architecture: all
Section: oldlibs
Priority: extra
Depends: plasma-discover,
         ${misc:Depends}
Description: Transitional package (muon-discover -> plasma-discover)
 This is a transitional package for plasma-discover and can safely be
 removed.

Package: muon-updater
Architecture: all
Section: oldlibs
Priority: extra
Depends: plasma-discover-updater,
         ${misc:Depends}
Description: Transitional package (muon-updater -> plasma-discover-updater)
 This is a transitional package updating muon-updater to plasma-discover-updater
 and can safely be removed.

Package: muon-notifier
Architecture: all
Section: oldlibs
Priority: extra
Depends: plasma-discover-updater,
         ${misc:Depends}
Description: Transitional package (muon-notifier -> plasma-discover-updater)
 This is a transitional package updating muon-notifier to
 plasma-discover-updater and can safely be removed.

## plasma-discover 5.7.5

=== debian/changelog ===
plasma-discover (5.7.5-0ubuntu2) yakkety; urgency=medium

  * plasma-discover now Conflicts against python3-aptdaemon.pkcompat, without
    this apt-get would want to remove plasma-discover while upgrading from
    xenial to yakkety.
  * Drop transitional dummy packages plasma-discover-private and
    plasma-discover-updater because the above solution is the one which actually
    works.
  * plasma-discover and plasma-discover-common now Conflicts/Replaces against
    plasma-discover-private and plasma-discover-updater obsolete packages
    instead of Break/Replacing.
  * Update appstream files path.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 05:54:43 +0200

plasma-discover (5.7.5-0ubuntu1) yakkety; urgency=medium

  [ Philip Muškovac ]
  * Depend on required qml components 

  [ Rik Mills ]
  * New upstream release (5.7.4)
  * New upstream release (5.7.5)

  [ José Manuel Santamaría Lema ]
  * Add transitional dummy packages for plasma-discover-private and
    plasma-discover-updater. This will hint the package managers to not
    remove plasma-discover while upgrading from xenial to yakkety.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 20 Sep 2016 20:29:09 -0500

plasma-discover (5.7.2-0ubuntu2) yakkety; urgency=medium

  * plasma-discover-updater -> plasma-discover

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 08 Aug 2016 10:58:14 +0300

plasma-discover (5.7.2-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.1)
  * Merged with Debian
  * New upstream release (5.7.2)

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 28 Jul 2016 12:07:46 +0000

plasma-discover (5.6.5-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release (5.6.5)

  [ Philip Muškovac ]
  * plasma-discover-updater: don't recommend -notifier as that is now bundled
    with -updater. (LP: #1597818)

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 15 Jul 2016 20:49:56 +0100

plasma-discover (5.6.4-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release
  * Removing upstream patch - 01_components-without-pkgname.patch

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release (5.6.4)

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 13:22:31 -0700

=== debian/control ===
Source: plasma-discover
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Matthias Klumpp <mak@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               kio-dev (>= 5.24.0~),
               libappstreamqt-dev (>= 0.9),
               libdebconf-kde-dev (>= 1.0.0),
               libkf5archive-dev (>= 5.24.0~),
               libkf5attica-dev (>= 5.24.0~),
               libkf5config-dev (>= 5.24.0~),
               libkf5configwidgets-dev (>= 5.24.0~),
               libkf5coreaddons-dev (>= 5.24.0~),
               libkf5dbusaddons-dev (>= 5.24.0~),
               libkf5declarative-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5iconthemes-dev (>= 5.24.0~),
               libkf5itemviews-dev (>= 5.24.0~),
               libkf5kdelibs4support-dev (>= 5.24.0~),
               libkf5newstuff-dev (>= 5.24.0~),
               libkf5notifications-dev (>= 5.24.0~),
               libkf5solid-dev (>= 5.24.0~),
               libkf5textwidgets-dev (>= 5.24.0~),
               libkf5wallet-dev (>= 5.24.0~),
               libkf5widgetsaddons-dev (>= 5.24.0~),
               libkf5xmlgui-dev (>= 5.24.0~),
               libpackagekitqt5-dev (>= 0.9.5),
               libqapt-dev (>= 3.0.0),
               libqca-qt5-2-dev,
               libqt5svg5-dev (>= 5.6.1~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               plasma-framework-dev (>= 5.24.0~),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/discover
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover

Package: plasma-discover
Architecture: any
Depends: appstream (>= 0.8),
         packagekit (>= 1.0),
         plasma-discover-common (= ${source:Version}),
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtgraphicaleffects,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: plasma-discover-private,
           plasma-discover-updater,
           python3-aptdaemon.pkcompat
Breaks: libmuon (<< 4:5.6),
        muon-discover (<< 4:5.5.3a),
        muon-notifier (<< 4:5.5.3a),
        muon-updater (<< 4:5.5.3a),
        plasma-discover-common (<< 5.7.0)
Replaces: libmuon (<< 4:5.6),
          muon-discover (<< 4:5.5.3a),
          muon-notifier (<< 4:5.5.3a),
          muon-updater (<< 4:5.5.3a),
          plasma-discover-common (<< 5.7.0),
          plasma-discover-private,
          plasma-discover-updater
Recommends: software-properties-kde
Description: Discover software management suite
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 By allowing to navigate a software library by search, categories, top lists
 along with detailed application information that includes screenshots
 and reviews, users can more quickly find applications that suit their needs.
 .
 Discover will also keep the system up to date by notifying about updates and
 installing them.

Package: plasma-discover-common
Architecture: all
Depends: ${misc:Depends}
Conflicts: plasma-discover-private, plasma-discover-updater
Breaks: muon-common (<< 4:5.5.3a), plasma-discover (<< 5.7.0-2)
Replaces: muon-common (<< 4:5.5.3a),
          plasma-discover (<< 5.7.0-2),
          plasma-discover-private,
          plasma-discover-updater
Description: Discover software manager suite (common data files)
 Discover is a graphical software manager for the Plasma workspace.
 .
 This package contains data files shared by various parts of the
 Discover suite.

Package: muon-discover
Architecture: all
Section: oldlibs
Priority: extra
Depends: plasma-discover, ${misc:Depends}
Description: Transitional package (muon-discover -> plasma-discover)
 This is a transitional package for plasma-discover and can safely be
 removed.

Package: muon-updater
Architecture: all
Section: oldlibs
Priority: extra
Depends: plasma-discover, ${misc:Depends}
Description: Transitional package (muon-updater -> plasma-discover)
 This is a transitional package updating muon-updater to plasma-discover
 and can safely be removed.

Package: muon-notifier
Architecture: all
Section: oldlibs
Priority: extra
Depends: plasma-discover, ${misc:Depends}
Description: Transitional package (muon-notifier -> plasma-discover)
 This is a transitional package updating muon-notifier to
 plasma-discover and can safely be removed.
